## gs-plugin-job-list-apps

gs-plugin-job-list-apps — A plugin job to list apps according to a search query

## Functions

GsPluginJob * | gs_plugin_job_list_apps_new ()
GsAppList * | gs_plugin_job_list_apps_get_result_list ()

## Types and Values

#define | GS_TYPE_PLUGIN_JOB_LIST_APPS
| GsPluginJobListApps

## Description

GsPluginJobListApps is a GsPluginJob representing an operation to list apps which match a given query, from all GsPlugins.

The known properties on the set of apps returned by this operation can be controlled with the “refine-flags” property of the query. All results will be refined using the given set of refine flags. See GsPluginJobRefine.

This class is a wrapper around GsPluginClass.list_apps_async, calling it for all loaded plugins, with GsPluginJobRefine used to refine them.

Retrieve the resulting GsAppList using `gs_plugin_job_list_apps_get_result_list()`.

See also: GsPluginClass.list_apps_async

## Functions

### gs_plugin_job_list_apps_new ()

    GsPluginJob *
    gs_plugin_job_list_apps_new (GsAppQuery *query,
                                 GsPluginListAppsFlags flags);

Create a new GsPluginJobListApps for listing apps according to the given `query` .

#### Parameters

query | query to affect which apps to return. | [nullable][transfer none]
flags | flags affecting how the operation runs |

#### Returns

a new GsPluginJobListApps.

[transfer full]

Since: 43

### gs_plugin_job_list_apps_get_result_list ()

    GsAppList *
    gs_plugin_job_list_apps_get_result_list
                                   (GsPluginJobListApps *self);

Get the full list of apps matching the query.

If this is called before the job is complete, `NULL` will be returned.

#### Parameters

self | a GsPluginJobListApps |

#### Returns

the job results, or `NULL` on error or if called before the job has completed.

[transfer none][nullable]

Since: 43

## Types and Values

### GS_TYPE_PLUGIN_JOB_LIST_APPS

    #define GS_TYPE_PLUGIN_JOB_LIST_APPS (gs_plugin_job_list_apps_get_type ())

### GsPluginJobListApps

    typedef struct _GsPluginJobListApps GsPluginJobListApps;